If I could get someone to confirm or deny this fix I would appreciate it


Not me I installed the newest slapt-get and then I......

root@backtrack ~ # slapt-get --update && slapt-get --upgrade


and now I ....

root@backtrack / # slapt-get --version
slapt-get version 0.9.10e

So I am still good.I will update again to see.

EDIT: still good

root@backtrack / # slapt-get --update && slapt-get --upgradeRetrieving package data [ftp://slackware.cs.utah.edu/pub/slac...2.0/]...Cached
Retrieving patch list [ftp://slackware.cs.utah.edu/pub/slac...2.0/]...Cached
Retrieving checksum list [ftp://slackware.cs.utah.edu/pub/slac...2.0/]...Cached
Reading Package Lists...Done
Retrieving package data [http://software.jaos.org/slackpacks/12.0/]...Cached
Retrieving patch list [http://software.jaos.org/slackpacks/12.0/]...Cached
Retrieving checksum list [http://software.jaos.org/slackpacks/12.0/]...Cached
Reading Package Lists...Done
Retrieving package data [http://darkstar.ist.utl.pt/slackware...2.0/]...Cached
Retrieving patch list [http://darkstar.ist.utl.pt/slackware...-12.0/]...Done
Retrieving checksum list [http://darkstar.ist.utl.pt/slackware...2.0/]...Cached
Reading Package Lists...Done
Reading Package Lists... Done
The following packages have been EXCLUDED:
alsa-oss ruby compizconfig-python alsa-utils alsa-lib
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.

Done